#include "..\..\include\orbitersdk.h"
#include "Vessel2M.h"


class Luna9PO: public VESSEL2M {
public:
	// constructor
	Luna9PO (OBJHANDLE hObj, int fmodel);

	// callbacks
	void clbkSetClassCaps(FILEHANDLE cfg);
	void clbkPostStep(double simt, double simdt, double mjd);

	// VESSEL2M overrides
	void clbkSaveState (FILEHANDLE scn);
	void ParseScenarioLineEx(char *line, void *status);
	void FinishConfiguration ();

private:
	// the two types are different only by meshes
	enum PoTypes {POT_ASTRO, POT_RADIO} PoType;		//+++

};
