#ifndef __Molniya1_H
#define __Molniya1_H
#include "..\..\include\orbitersdk.h"
#include "..\..\..\OrbiterSoundSDK\include\OrbiterSoundSDK35.h"



// sound
const int SND_PYRO_A = 1;
const int SND_PYRO_P = 2;
const int SND_CLANG_A = 3;
const int SND_CLANG_B = 4;
const int SND_CLANG_P = 5;


class Molniya1: public VESSEL2 {
public:
	// constructor
	Molniya1 (OBJHANDLE hObj, int fmodel);

	// callbacks
	void clbkSetClassCaps(FILEHANDLE cfg);
	void clbkPostStep(double simt, double simdt, double mjd);
	void clbkPostCreation (void);
	bool clbkLoadGenericCockpit ();

private:

	// main engine
	PROPELLANT_HANDLE MainTank;//-
	THRUSTER_HANDLE MainEngine;
	THRUSTER_HANDLE MainTH[1];

	// RCS 
	THGROUP_HANDLE LeftRoll;
	THGROUP_HANDLE RightRoll;

	THGROUP_HANDLE LeftYaw;
	THGROUP_HANDLE RightYaw;

	THGROUP_HANDLE PitchUp;
	THGROUP_HANDLE PitchDown;
	void MakeRCS();

		// animations
	enum deployment_states { STORED, DEPLOYING, DEPLOYED } 
		BoomsState, ArmsState, AntennaState, SolarState; 
	void DefineAnimations();

	//antennas
	UINT AntennaAnimations[2];
	double AntennaPercent;
	double AntennaTimer;

	// booms
	UINT BoomAnimations[2];
	double BoomsPercent;

	// arms
	UINT ArmAnimations[2];
	double ArmsPercent;

	// solar panels
	UINT SpInnerAnimations[6];
	UINT SpOuterAnimations[6];
	double SolarPercent;
	double SolarTimer;

	// other
	bool bWasAttached; 
	bool Attached();

	// sound
	int SoundLibID;

	// output
	void DebugSomething();
};

#endif